Bug 35372 - The netcfg part should not ask for a hostname/domainname
The netcfg part should not ask for a hostname/domainname
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Philipp Hahn
Alexander Kramer
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-15 17:38 CEST by Sönke Schwardt-Krummrich
Modified: 2014-11-26 06:55 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2014-07-15 17:38:32 CEST
The netcfg within the d-i should not ask for a hostname or a domain name.
Comment 1 Philipp Hahn univentionstaff 2014-07-17 09:57:16 CEST
May be done through pre-seeding:
	d-i netcfg/get_hostname string unassigned-hostname
	d-i netcfg/get_domain string unassigned-domain
Comment 2 Philipp Hahn univentionstaff 2014-07-17 15:42:26 CEST
This has been done through preseeding through build-cd-ucs4: r51925
Removing the udebs does not yet seem to work: r51926

Package: repo-ng
Version: 2.0-50.1299.201407171538
User: phahn
Branch: ucs_3.2-0
Scope: internal
Comment 3 Alexander Kramer univentionstaff 2014-08-26 10:54:47 CEST
Looks good. The d-i didn't ask for a host- or a domain name.
After the debian installation before the system-setup 
the hostname is set to: unassigned-hostname
and the domain name is set to: unassigned-domain
Comment 4 Stefan Gohmann univentionstaff 2014-11-26 06:55:32 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".